Summary:       Re-implement threading.Lock, RLock and Condition with libpthread
Name:          python-pthreading
Version:       0.1.3
Release:       11%{?dist}

License:       GPLv2+
Group:         System Environment/Libraries

Source0:       http://pypi.python.org/packages/source/p/pthreading/pthreading-%{version}.tar.gz
URL:           http://pypi.python.org/pypi/pthreading

BuildArch: noarch
BuildRequires: python2-devel

Patch0: python-pthreading-01-COPYING-and-tests.patch
Patch1: 0003-Add-the-missing-locked-interface.patch

%global _description\
The pthreading module provides Lock and Condition synchronization\
objects compatible with Python native threading module.\
The implementation, however, is based on POSIX thread library as delivered\
by the libpthread and has considerable performance benefits over Python 2.x's\
implementation.

%description %_description

%package -n python2-pthreading
Summary: %summary
%{?python_provide:%python_provide python2-pthreading}

%description -n python2-pthreading %_description

%prep
%setup -q -n pthreading-%{version}
%patch0
%patch1 -p1

%build
%py2_build

%install
%py2_install

%check
%{__python2} setup.py test

%files -n python2-pthreading
%doc COPYING
%{python2_sitelib}/pthread.py*
%{python2_sitelib}/pthreading.py*
%{python2_sitelib}/pthreading-%{version}-py*.egg-info

%changelog
* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.3-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Aug 22 2017 Iryna Shcherbina <ishcherb@redhat.com> - 0.1.3-10
- Add a build-time dependency on python2-devel and modernize spec file

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.1.3-9
- Python 2 binary package renamed to python2-pthreading
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.3-6
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jul 13 2014 Yaniv Bronhaim <ybronhei@redhat.com> - 0.1.3-3
* revert monkey_patch: Fail if it is too late to monkey-patch and delay to 0.1.4

* Thu Jul 10 2014 Douglas SChilling Landgraf <dougsland@redhat.com> - 0.1.3-2
- monkey_patch: Fail if it is too late to monkey-patch
- Add the missing locked() interface

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.3-1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Mar 18 2014 Douglas Schilling Landgraf <dougsland@redhat.com> - 0.1.3-0
- Monkeypatch python's thread.allocate_lock

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Jun 4 2013 Douglas Schilling Landgraf <dougsland@redhat.com> - 0.1.2-1
- Release 0.1.2

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Aug 27 2012 Dan Kenigsberg <danken@redhat.com> - 0.1.1-1
Initial take
